/*############################################################################
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        09.02.2007, Mirko Kleber mailto: mirkokle@gmx.de
 Description:    
############################################################################*/
#include <main.h>
#include <avr/interrupt.h>
#include <string.h>
#include <stdarg.h>

//############################################################################
// Eingangs-, Ausgangsvariablen Deklarationen

// Eingnge:
#define I_ALARM		2			// Alarmrelais hat angezogen oder Handalarmtaster auf der Platine wurde bettigt
#define I_TEST		3			// Taster zum testen der SMS Funktion (auf der Platine)

// Ausgnge
#define Q_GE_LED 	5			// gelbe LED fr Versandbetrieb
#define Q_RT_LED	6			// rote LED fr SMS Versandfuntkion aktiviert
#define PORT_LED 	PORTD
#define DDR_LED		DDRD





//############################################################################

void init(void)

{

  TCCR1B |= (1 << CS12) ; TIMSK |= (1 << OCIE1A);
  TCCR0 |= (1 << CS00) | (1 << CS02) ; TIMSK |= (1 << TOIE0);
  
// PORTD = 0b00000000; // Bei Ausgngen: Ausgangsbyte fest setzen. Bei Eingngen: Pullups aktivieren
  DDRD = 0b01100000; // Datenrichtungsregister: Eingang = 0, Ausgang =1 (Bit 0-4 und 7 = Eingang, Bit 5 und 6 = Ausgang) Led hngt an PD5 und PD6 gegen GND
  Handy_Init();
  
}

//Hauptprogramm
int main (void)
{
Handy_Init();
init();



//############################################################################
while (1)
{
			
if ( PIND & (1<<PIND2) ) {			// Pin 2 (Taster1) auf 1 abfragen
			PORTD |= (1 << PIN5); 	// gelbe LED ein fr SMS-Versand eingeleidet	
			
			Handy_Init();
			
			Send_SMS(); 
			}
			else {
				PORTD &= ~(1 << PIN5); 		// gelbe LED aus fr SMS-Versand eingeleidet
			}

if ( PIND & (1<<PIND3) ) {			// Pin 3 (Taster2) auf 1 abfragen
			PORTD |= (1 << PIN6); 		// gelbe LED ein fr SMS-Versand eingeleidet
			}
			else {
				PORTD &= ~(1 << PIN6); 		// gelbe LED aus fr SMS-Versand eingeleidet
			}			
}

return (1);
}
